﻿;/////////////////////////////////////////////////////////////////////////////////
;An OOP class for implementing a simple integer stack.

;nxSoftware.
;October 2009.

;Header file.
;/////////////////////////////////////////////////////////////////////////////////


;/////////////////////////////////////////////////////////////////////////////////
;-Constants.

  ;Use the following in the \Peek() method.
    #INTEGERSTACK_GETLASTELEMENT           = -1
    #INTEGERSTACK_GETPOINTERTOLASTELEMENT  = -2
;/////////////////////////////////////////////////////////////////////////////////


;/////////////////////////////////////////////////////////////////////////////////
;-Class interfaces.

  ;The following interface contains the class methods.
    Interface IntegerStackObject
      Destroy()
      NumberOfElementsPushed.i()
      Peek.i(index=#INTEGERSTACK_GETLASTELEMENT)   
      Pop.i()
      Push.i(value)
      ResetStack()
      ResizeStack.i(NumElements)
      SizeOfStack.i()
    EndInterface 
;/////////////////////////////////////////////////////////////////////////////////


; IDE Options = PureBasic 5.21 LTS (Windows - x86)
; CursorPosition = 3
; EnableXP